#ifndef SHROOMS_VB_NATIVE_GRAPHICS_
#define SHROOMS_VB_NATIVE_GRAPHICS_

#include <SDL2/SDL.h>

typedef struct {
    SDL_Window *window;
    SDL_Surface *winSurface;
    SDL_Renderer *renderer;
    SDL_Texture *leftEye;
    SDL_Texture *rightEye;
} GraphicsContext;

int gfxInit(GraphicsContext *gfx);
void gfxDestroy(GraphicsContext *gfx);

void gfxUpdateLeftEye(GraphicsContext *gfx, const uint8_t *bytes);
void gfxUpdateRightEye(GraphicsContext *gfx, const uint8_t *bytes);

void gfxRender(GraphicsContext *gfx);

#endif
